//--------------------------------------------------------
//	Demo.cpp
//	We are not liable for anything involving this software
//	including but not limited to damage or harm to your
//	software, hardware, mind, body or soul.
//		Written by Bill Morris
//		Memetic Corporation
//		bmorris@memetic.com
//		http://www.memetic.com
//	Hacked from HelloWorld
//		Copyright 1995 Be Incorporated, All Rights Reserved.
//--------------------------------------------------------

#ifndef DEMO_WINDOW_H
#include "DemoWindow.h"
#endif
#ifndef DEMO_VIEW_H
#include "DemoView.h"
#endif
#ifndef DEMO_H
#include "Demo.h"
#endif


main()	{
	DemoApplication *myApplication;

	myApplication = new DemoApplication();
	myApplication->Run();

	delete(myApplication);
	return(0);
}

DemoApplication::DemoApplication() 
                 : BApplication("application/x-vnd.memetic-DEMO") 
{ 
	DemoWindow		*aWindow;
	DemoView		*aView;
	BRect			aRect;

	// window size is 200 x 200
	aRect.Set(100, 80, 300, 280);
	aWindow = new DemoWindow(aRect);
	
	// set up a rectangle and instantiate a new view
	// view rect should be same size as window rect but with left top at (0, 0)
	aRect.OffsetTo(B_ORIGIN);
	aView = new DemoView(aRect, "Demo");
	
	// add view to window
	aWindow->AddChild(aView);

    BDragger *dragger; 
    BRect frame; 

    frame = aView->Bounds();       // Get the bounds of the view. 
    frame.top = frame.bottom - 6;  // Put the dragger in the bottom 
    frame.left = frame.right - 6;  // right corner of the view. 

    dragger = new BDragger(frame, aView, B_FOLLOW_RIGHT | B_FOLLOW_BOTTOM);
    aView->AddChild(dragger); 
//    dragger->SetViewColor(0,0,0,0); 
	dragger->AttachedToWindow();
	
	// make window visible
	aWindow->Show();
}
